package net.wanji.opt.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.bo.CrossNameBO;
import net.wanji.opt.service.impl.RunningEvaluateServiceImpl;
import net.wanji.databus.vo.RunningEvaluateCrossListVO;
import org.springframework.web.bind.annotation.*;

import javax.ws.rs.core.MediaType;
import java.util.List;

/**
 * 运行评价
 *
 * @author Kent HAN
 */
@Api(value = "RunningEvaluateController", description = "运行评价")
@RequestMapping("/runningEvaluate")
@RestController
public class RunningEvaluateController {

    private final RunningEvaluateServiceImpl runningEvaluateService;

    public RunningEvaluateController(RunningEvaluateServiceImpl runningEvaluateService) {
        this.runningEvaluateService = runningEvaluateService;
    }

    @ApiOperation(value = "路口列表", notes = "路口列表", response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @PostMapping(value = "/crossList",
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = RunningEvaluateCrossListVO.class),
    })
    public JsonViewObject crossList(@RequestBody CrossNameBO crossNameBO) {
        List<RunningEvaluateCrossListVO> res = runningEvaluateService.crossList(crossNameBO);
        return JsonViewObject.newInstance().success(res);
    }


}